<template>
  <div class="home">
    <div class="home-head">
      <div class="container">
        <div class="d-flex align-center justify-space-between flex-wrap">
          <img
            class=""
            src="../assets/logo.png"
            alt=""
          >
          <div>
            <router-link to="/wins">
              <v-btn
                text
                class="white--text"
              >
                Выигранные дела
              </v-btn>
            </router-link>
            <router-link to="/resheniya">
              <v-btn
                color="#fff"
                text
                @click="drawer = false"
              >
                Решения и постановления судов
              </v-btn>
            </router-link>
            <router-link to="/chance">
              <v-btn
                color="#fff"
                text
              >
                ДОСРОЧНЫЙ ВОЗВРАТ ПРАВ
              </v-btn>
            </router-link>
          </div>
          <div class="cell mt-lg-8 mt-md-6 mt-sm-4 mt-xs-2">
            <p style="color: red;font-size: 20px;font-weight: 600;margin: 0">Бесплатная горячая линия</p>
            <p><a href="tel:78002013236" style="color: #ffffff;font-size: 36px;font-weight: 600">8-800-201-32-36</a></p>
          </div>
        </div>
        <div class="home-title mt-lg-16 mt-md-10 mt-sm-8 mt-xs-6">
          <span style="color: #FFED00">ВЕРНЁМ</span> ПРАВА<br>
          ЗА СКРЫТИЕ С МЕСТА ДТП
          <div class="subtitle mt-6">Работаем с 2002 года</div>
        </div>
        <div style="float: left">
          <div style="font-size: 25px!important;" class="title mx-auto mt-lg-8 mt-md-6 mt-sm-4 mt-xs-2">
            Вернем водительское удостоверение не доводя до суда<br>
            со 100% гарантией или вернем вам деньги
          </div>
        </div>

        <div class="middle">
          <a href="#sections" class="scroll-link">
            <span class="scroll-link__icon"></span>
            <span class="scroll-link__text">Крутите вниз</span>
          </a>
        </div>
      </div>
    </div>
    <div style="background-color: #74AC48; padding: 40px 0">
      <div class="container">
        <div class="title">
          ОСТАВЬТЕ ЗАЯВКУ
        </div>
        <div class="subtitle mb-5 mb-lg-8 mb-xl-12">
          чтобы узнать вероятность возврата водительского удостоверения
        </div>
        <v-form v-model="valid">
          <v-row>
            <v-col
              cols="12"
              md="3"
              class="pa-sm-0 px-md-1 pa-0 px-2"
            >
              <v-text-field
                v-model="firstName"
                :rules="nameRules"
                :counter="10"
                label="Имя"
                solo
                clearable
                required
                outlined
              />
            </v-col>

            <v-col
              cols="12"
              md="3"
              class="pa-sm-0 px-md-1 pa-0 px-2"
            >
              <v-text-field
                v-model="phone"
                :rules="phoneRules"
                :counter="11"
                label="Телефон"
                solo
                clearable
                required
                outlined
              />
            </v-col>

            <v-col
              cols="12"
              md="3"
              class="pa-sm-0 px-md-1 pa-0 px-2"
            >
              <v-text-field
                v-model="email"
                :rules="emailRules"
                label="E-mail"
                solo
                clearable
                required
                outlined
              />
            </v-col>
            <v-col
              cols="12"
              md="3"
              class="pa-sm-0 px-md-1 pa-0 px-2"
            >
              <v-btn
                color="#404040"
                style="color: #FFED00"
                height="56"
                width="100%"
                @click="valid?send():false"
                onclick="ym(82695025, 'reachGoal', 'order')"
              >
                <v-icon v-if="statusSend">fas fa-circle-notch fa-spin</v-icon>
                {{statusSend? '' : 'Жду звонка'}}
              </v-btn>
            </v-col>
          </v-row>
        </v-form>
      </div>
    </div>
    <div class="help">
      <div class="container">
        <div class="help-wrap">
          <div class="title">ПОМОГАЕМ В ЛЮБОЙ СИТУАЦИИ</div>
          <v-row
            mb="5"
          >
            <v-col
              v-for="n in help"
              :key="n.name"
              cols="5"
              md="4"
              class="d-flex align-center"
            >
              <img src="../assets/icon/ok.svg" alt="">
              {{n.name}}
            </v-col>
          </v-row>
        </div>
      </div>
    </div>
    <div class="way">
      <div class="container">
        <div class="way-wrap">
          <div class="title">ИСПОЛЬЗУЕМ 6 РАБОТАЮЩИХ СПОСОБОВ<br>
            <div class="subtitle">возврата прав за скрытие</div>
            <div class="subtitle mt-3">ВЕРНЕМ ПРАВА ДО СУДА</div>
          </div>
          <div class="way-wrapper">
            <div
              v-for="i in wayItem"
              :key="i.title"
              class="d-flex flex-column way-col"
              style="text-align: center"
            >
              <div class="way-img">
                <img :src="require(`../assets/${i.img}`)" alt="">
              </div>
              {{i.title}}
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="example">
      <div class="container">
        <div class="title">ПОСМОТРИТЕ КАК МЫ ВОЗВРАЩАЕМ ПРАВА</div>
        <div class="example-wrap">
          <img
            v-for="img in docs"
            :key="img.name"
            :src="require(`../assets/docs/${img.name}`)"
            @click="imgIndex = img.name; dialogImgDocs = true"
          >
        </div>
      </div>
    </div>
    <div class="way" style="background-color: white;color: #000000">
      <div class="container">
        <div class="way-wrap">
          <div class="title">ИСПОЛЬЗУЕМ 6 РАБОТАЮЩИХ СПОСОБОВ<br>
            <div class="subtitle">возврата прав за скрытие</div>
          </div>
          <div class="way-wrapper">
            <div
              v-for="i in homeReturn"
              :key="i.title"
              class="d-flex flex-column way-col"
              style="text-align: center; margin: 5px"
            >
              <div class="way-img">
                <img :src="require(`../assets/icon/${i.img}`)" alt="">
              </div>
              {{i.title}}
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="lawyer">
      <div class="container">
        <div class="title">
          <img src="../assets/icon/shape.png" alt="">
          ХОЧУ ВИДЕТЬ ЮРИСТА ВЖИВУЮ
        </div>
        <div class="lawyer-wrap">
          <div class="title">Получить видеоконсультацию</div>
          <ul>
            <li>
              <svg width="10" height="10" viewBox="0 0 10 10" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0 2C0 0.89543 0.895431 0 2 0H5C7.76142 0 10 2.23858 10 5C10 7.76142 7.76142 10 5 10H2C0.89543 10 0 9.10457 0 8V2Z" fill="#FFED00"/>
              </svg>
              Вы будете видеть и слышать юриста. Свою камеру включать не обязательно
            </li>
            <li>
              <svg width="10" height="10" viewBox="0 0 10 10" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0 2C0 0.89543 0.895431 0 2 0H5C7.76142 0 10 2.23858 10 5C10 7.76142 7.76142 10 5 10H2C0.89543 10 0 9.10457 0 8V2Z" fill="#FFED00"/>
              </svg>
              Оставьте заявку. Юрист свяжется с Вами и согласует удобное время видеозвонка
            </li>
            <li>
              <svg width="10" height="10" viewBox="0 0 10 10" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0 2C0 0.89543 0.895431 0 2 0H5C7.76142 0 10 2.23858 10 5C10 7.76142 7.76142 10 5 10H2C0.89543 10 0 9.10457 0 8V2Z" fill="#FFED00"/>
              </svg>
              Всего 16 видеоконсультаций в сутки
            </li>
          </ul>
          <v-form v-model="valid">
            <v-row>
              <v-col
                cols="12"
                md="3"
                class="pa-sm-0 px-md-1 pa-0 px-2"
              >
                <v-text-field
                  v-model="firstName"
                  :rules="nameRules"
                  :counter="10"
                  label="Имя"
                  solo
                  clearable
                  required
                  outlined
                />
              </v-col>

              <v-col
                cols="12"
                md="3"
                class="pa-sm-0 px-md-1 pa-0 px-2"
              >
                <v-text-field
                  v-model="phone"
                  :rules="phoneRules"
                  :counter="11"
                  label="Телефон"
                  solo
                  clearable
                  required
                  outlined
                />
              </v-col>

              <v-col
                cols="12"
                md="3"
                class="pa-sm-0 px-md-1 pa-0 px-2"
              >
                <v-text-field
                  v-model="email"
                  :rules="emailRules"
                  label="E-mail"
                  solo
                  clearable
                  required
                  outlined
                />
              </v-col>
              <v-col
                cols="12"
                md="3"
                class="pa-sm-0 px-md-1 pa-0 px-2"
              >
                <v-btn
                  color="#404040"
                  style="color: #FFED00"
                  height="56"
                  width="100%"
                  @click="valid?send():false"
                  onclick="ym(82695025, 'reachGoal', 'order')"
                >
                  <v-icon v-if="statusSend">fas fa-circle-notch fa-spin</v-icon>
                  {{statusSend? '' : 'Видеоконсультация'}}
                </v-btn>
              </v-col>
            </v-row>
          </v-form>
        </div>
      </div>
    </div>
    <div class="garant">
      <div class="container">
        <div class="title">100% ГАРАНТИЯ</div>
        <p>Потому что мы уверены в результате!<br>В прошлом месяце 162 наших клиента остались с правами</p>
      </div>
    </div>
    <v-dialog
      v-model="dialog"
      width="500"
    >
      <v-card>
        <v-card-title class="text-h5 grey lighten-2">
          Заявка успешно отправлена
          <v-icon class="ml-2" color="green">mdi-check-all</v-icon>
        </v-card-title>

        <v-card-text class="mt-5">
          Ваша заявка отправлена, спасибо!<br>С вами свяжется наш юрист.
        </v-card-text>

        <v-divider></v-divider>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="primary"
            text
            @click="dialog = false"
          >
            Ок
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
    <v-dialog
      v-model="dialogImgDocs"
      width="80%"
    >
      <div class="d-flex flex-column align-center" style="position: relative;">
        <img :src="require(`../assets/docs/${imgIndex}`)" style="max-width: 100%" alt="">
      </div>
      <v-btn
        color="primary"
        elevation="2"
        @click="dialogImgDocs = false"
        width="100px"
        style="position: absolute; bottom: 50px; right: 50px"
      >
        Закрыть
      </v-btn>
    </v-dialog>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  name: 'Home',
  data: () => ({
    valid: false,
    statusSend: false,
    firstName: '',
    phone: '',
    nameRules: [
      v => !!v || 'Введите имя',
      v => (v && v.length <= 10) || 'Имя не должно быть длиннее 10 символов'
    ],
    phoneRules: [
      value => !!value || 'Обязательное поле',
      value => (Boolean(Number(value))) || 'Введите только цифры',
      value => (value && value.length >= 11) || 'Не менее 11 цифр',
      value => (value && value.length <= 11) || 'Не более 11 цифр'
    ],
    email: '',
    emailRules: [
      v => !!v || 'E-mail обязательное поле',
      v => /.+@.+/.test(v) || 'E-mail введен не правильно'
    ],
    help: [
      { name: 'Не заметил и скрылся случайно' },
      { name: 'Испугался и уехал намеренно' },
      { name: 'Спешил и пришлось уехать' },
      { name: 'Не смог договориться на месте' },
      { name: 'За рулем был другой водитель' }
    ],
    wayItem: [
      { title: 'Оспорим состав и событие', img: 'way1.png' },
      { title: 'Найдем процессуальные нарушения', img: 'way2.png' },
      { title: 'Получим определение о прекращении дела', img: 'way3.png' }
    ],
    homeReturn: [
      { title: 'Есть записи с камер видеонаблюдения', img: '1.png' },
      { title: 'Есть запись у пострадавшей стороны', img: '2.png' },
      { title: 'Вы были в состоянии опьянения', img: '3.png' },
      { title: 'Не было полиса ОСАГО', img: '4.png' },
      { title: 'Причинен вред здоровью', img: '5.png' },
      { title: 'Попали на мошенников', img: '6.png' }
    ],
    docs: [
      { name: '1.jpg' },
      { name: '2.jpg' },
      { name: '3.jpg' },
      { name: '4.jpg' },
      { name: '5.jpg' },
      { name: '6.jpg' }
    ],
    imgIndex: '1.jpg',
    dialog: false,
    dialogImgDocs: false
  }),
  methods: {
    send () {
      if (this.valid) {
        this.statusSend = true
        const formData = new FormData()
        formData.append('crm', '11')
        formData.append('pipe', '22')
        formData.append('contact[name]', this.firstName)
        formData.append('contact[199]', this.phone)
        formData.append('contact[200]', this.email)
        formData.append('lead[214]', 'dtp.avtourist.info')
        formData.append('note', 'Заявка с dtp.avtourist.info')

        axios.post('https://urist.v-avtoservice.com/api/import-lead',
          formData,
          {
            headers: {
              'Content-Type': 'multipart/form-data'
            }
          }
        ).then(res => {
          this.dialog = true
          this.statusSend = false
        })
      } else return false
    }
  }
}
</script>
<style lang="scss">
  .home {
    font-family: 'Open Sans', sans-serif !important;
    overflow: auto;
    color: #fff;
    position: relative;
    .home-head {
      height: 100vh;
      background: url("../assets/bg.jpg") center no-repeat;
      background-size: cover;
      position: relative;
      .home-title {
        font-weight: 800;
        font-size: 48px;
        line-height: 65px;
        .subtitle {
          font-weight: 600;
          font-size: 24px;
          line-height: 33px;
        }
      }
    }
    .help {
      .container {
        .help-wrap {
          padding: 80px 0;
          display: flex;
          flex-direction: column;
          align-items: center;
          color: #000000;
          .title {
            font-weight: 800;
            font-size: 36px !important;
            line-height: 49px;
            margin-bottom: 60px;
            @media (max-width: 1200px) {
              font-size: 30px !important;
              margin-bottom: 40px;
            }
            @media (max-width: 768px) {
              font-size: 26px !important;
              margin-bottom: 30px;
            }
            @media (max-width: 420px) {
              font-size: 20px !important;
              margin-bottom: 20px;
            }
          }
          img {
            margin-right: 10px;
          }
        }
      }
    }
    .example {
      padding: 40px 0;
      .title {
        color: #000000;
        font-weight: 800;
        font-size: 36px !important;
        line-height: 49px;
        margin-bottom: 60px;
        text-align: center;
      }
      .example-wrap {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        img {
          max-width: 150px;
          cursor: zoom-in;
        }
      }
    }
    .way {
      background: #525143;
      .way-wrap {
        padding: 80px 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        .title {
          font-weight: 800;
          font-size: 36px !important;
          line-height: 49px;
          margin-bottom: 60px;
          text-align: center;
          .subtitle {
            font-weight: 600;
            font-size: 24px;
            line-height: 33px;
          }
          @media (max-width: 1200px) {
            font-size: 30px !important;
            margin-bottom: 40px;
          }
          @media (max-width: 768px) {
            font-size: 26px !important;
            margin-bottom: 30px;
            .subtitle {
              font-weight: 400;
              font-size: 20px;
            }
          }
          @media (max-width: 420px) {
            font-size: 20px !important;
            margin-bottom: 20px;
            .subtitle {
              font-size: 16px;
            }
          }
        }
        .way-wrapper {
          display: flex;
          justify-content: space-around;
          flex-wrap: wrap;
          width: 100%;
        }
        .way-col {
          width: 150px;
          margin: 10px;
        }
        .way-img {
          margin-bottom: 20px;
          position: relative;
          img {
            z-index: 2;
          }
        }
      }
    }
    .lawyer {
      background: #74AC48;
      padding: 40px 0;
      .title {
        font-weight: 800;
        font-size: 24px !important;
        line-height: 33px;
        display: flex;
        align-items: center;
        margin-bottom: 20px;
        img {
          margin-right: 15px;
        }
      }
      .lawyer-wrap {
        .title {
          margin-bottom: 10px;
        }
        svg {
          margin-right: 5px;
        }
        li {
          margin: 10px 0;
        }
        ul {
          margin-bottom: 40px;
        }
      }
    }
    .garant {
      color: #000000;
      padding: 80px 0;
      text-align: center;
      .container {
        border: 2px solid #C5B927;
        box-sizing: border-box;
      }
      .title {
        font-weight: 800;
        font-size: 32px!important;
        line-height: 44px;
        padding: 3px 10px;
        background-color: white;
        transform: translateY(-25px);
        max-width: 320px;
        margin: 0 auto;
      }
      p {
        font-weight: 600;
        font-size: 24px;
        line-height: 33px;
        margin-bottom: 30px;
      }
    }
  }

  .middle {
    text-align: center;
    position: absolute;
    bottom: 10px;
    left: calc(50% - 45px);
    .scroll-link {
      color: #ffffff;
      .scroll-link__icon {
        position: relative;
        display: block;
        width: 1.25rem;
        height: 2.3125rem;
        border: 1px solid #fff;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: .3125rem;
        border-radius: 20px;
        &::after {
          content: '';
          position: absolute;
          top: .625rem;
          left: 50%;
          width: .3125rem;
          height: .5rem;
          margin-left: -.125rem;
          border-radius: 3px;
          background-color: #fff;
          -webkit-animation: mouseWheel 1.3s infinite;
          animation: mouseWheel 1.3s infinite;
          animation-duration: 1.3s;
          animation-timing-function: ease;
          animation-delay: 0s;
          animation-iteration-count: infinite;
          animation-direction: normal;
          animation-fill-mode: none;
          animation-play-state: running;
          animation-name: mouseWheel;
        }
      }
    }
  }
  @-webkit-keyframes mouseWheel {
    0% {
      -webkit-transform: translateY(0);
      transform: translateY(0);
      opacity: 1;
    }
    100% {
      -webkit-transform: translateY(100%);
      transform: translateY(100%);
      opacity: 0;
    }
  }
  @keyframes mouseWheel {
    0% {
      -webkit-transform: translateY(0);
      transform: translateY(0);
      opacity: 1;
    }
    100% {
      -webkit-transform: translateY(100%);
      transform: translateY(100%);
      opacity: 0;
    }
  }
</style>
